$.ajax({
    type: "GET",
    url: "../../Controlador/Utilidades/Notifi_Eliminar_Ruta.php",
    dataType: "json",

    success: function(response) {
        if (response.hasOwnProperty('delate')) {
            var idDelate = response.delate;

            Swal.fire({
                title: 'Ruta ID N°: ' + idDelate,
                text: '¡Eliminada Correctamente!',
                icon: 'success',
                showConfirmButton: false,
                timer: 1800
            });

            console.log("Ruta de ID N°: "+ idDelate +" eliminada correctamente");

            $.ajax({
                type: "GET",
                url: "../../Controlador/Utilidades/POST_Eliminar_SessionID_Ruta.php",
                dataType: "json",
                success: function(response) {
                    console.log("-> Sesión Eliminada:", response.id_delate);
                },
                error: function(xhr, status, error) {
                    console.error("-> Error eliminando sesión: ", error);
                }
            });

        } else {
            console.log("-> Error desde Notifi_Eliminar_Ruta.php:", response.error);
        }
    },

    error: function(xhr, status, error) {
        Swal.fire({
            title: 'Error',
            text: 'Hubo un error al obtener la sesión. Por favor, inténtalo de nuevo más tarde.',
            icon: 'error',
            showConfirmButton: true
        });

        console.error("-> Error AJAX (Notifi_Eliminar_Ruta.php):", error);
    }
});
